#pragma once

#include <QMainWindow>
#include <QMenuBar>
#include <QStatusBar>
#include <QToolBar>
#include <vector>
#include "graph/server/gui/chart/chart.h"
#include <graph/server/plugin.h>
#include <qlineseries.h>
#include <qlistwidget.h>

namespace Ui {
class MainWindow;
}

namespace Graph::GUI {
class MainWindow : public QMainWindow {
  Q_OBJECT
public:
  explicit MainWindow(QWidget *parent = nullptr);
  ~MainWindow();

private slots:
  void on_action_Add_triggered();
  void on_action_Load_triggered();

private:
  Ui::MainWindow *ui;

  PluginModel* pluginModel;
  std::vector<ChartWidget*> charts;
};
} // namespace Graph::GUI
