#pragma once

#include <QString>

struct axis_spec_t {
  QString label;
  bool auto_limit = true;
  double min;
  double max;
};

struct chart_spec_t {
  QString title;
  bool grid = false;
  bool legend = false;
  struct {
    axis_spec_t x, y;
  } axis;
};